> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Answer RFI

> Submit an answer to an RFI. The `answer.key` for each item must match the corresponding `question.key` returned by [Retrieve RFI](/account-center/v1.6/api-reference/retrieve-rfi).

For attachment-type questions, upload each document via [Upload A File](/account-center/v1.6/api-reference/upload-file) first to obtain a `file_id`, then include the returned IDs in the `attachments` array.




## OpenAPI

````yaml /account-center/v1.6/connect.yaml post /v1/rfis/answer
openapi: 3.0.2
info:
  version: 0.0.1
  title: Connect
  description: These APIs are designed for management of connected accounts.
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Account Center
    description: Create and manage sub-accounts under your UQPAY account.
  - name: Accounts
    description: >-
      With Connect, you can create UQPAY accounts for your users. To do this,
      you'll first need to register your platform.
  - name: Request for Information (RFI)
    description: >-
      Retrieve and answer Requests for Information (RFI) raised against your
      account during onboarding or ongoing review.
paths:
  /v1/rfis/answer:
    post:
      tags:
        - Request for Information (RFI)
      summary: Answer RFI
      description: >
        Submit an answer to an RFI. The `answer.key` for each item must match
        the corresponding `question.key` returned by [Retrieve
        RFI](/account-center/v1.6/api-reference/retrieve-rfi).


        For attachment-type questions, upload each document via [Upload A
        File](/account-center/v1.6/api-reference/upload-file) first to obtain a
        `file_id`, then include the returned IDs in the `attachments` array.
      operationId: answer-rfi
      parameters:
        - $ref: '#/components/parameters/XOnBehalfOf'
        - $ref: '#/components/parameters/XIdempotencyKey'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RFIAnswerRequest'
            examples:
              sandbox:
                summary: Sandbox request
                value:
                  rfi_id: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
                  answer:
                    - key: sandbox_regression_note
                      type: TEXT
                      text: Sandbox contract test response
      responses:
        '200':
          description: OK - Successfully answered the RFI.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              examples:
                sandbox:
                  summary: Sandbox response
                  value:
                    account_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                    rfi_id: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
                    rfi_type: onboarding
                    ref_reference_id: b1b89684-c2c4-4d54-b8a8-3572727fd120
                    status: SUBMITTED_PENDING
                    request:
                      - question:
                          key: sandbox_regression_note
                          comment: Sandbox regression note
                          type: TEXT
                        answer:
                          key: sandbox_regression_note
                          text: Sandbox contract test response
                          type: TEXT
                    create_time: '2026-09-11T11:39:55.694+08:00'
                    update_time: '2026-09-11T13:42:17.031+08:00'
              schema:
                $ref: '#/components/schemas/RFIsResponse'
                title: RFIAnswerResponse
      security:
        - XAuthToken: []
components:
  parameters:
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >-
        The value set to the connected account's ID. More information at [List
        Connected
        Accounts](/account-center/v1.6/api-reference/list-connected-accounts)
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
    XIdempotencyKey:
      in: header
      name: x-idempotency-key
      schema:
        type: string
        format: uuid
      required: true
      description: >-
        A unique identifier (UUID) used to maintain operation idempotency,
        ensuring that repeated executions of the same operation do not result in
        unintended effects or duplication. It helps preserve data consistency in
        the face of network errors, retries, or failures.
      example: 2adesf8e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    RFIAnswerRequest:
      type: object
      required:
        - rfi_id
        - answer
      properties:
        rfi_id:
          $ref: '#/components/schemas/RFIId'
        answer:
          type: array
          description: >-
            The list of answers, one per question. Each `answer.key` must match
            the corresponding `question.key` returned by [Retrieve
            RFI](/account-center/v1.6/api-reference/retrieve-rfi).
          items:
            $ref: '#/components/schemas/AnswerItem'
          example:
            - key: sandbox_regression_note
              type: TEXT
              text: Sandbox contract test response
    RFIsResponse:
      type: object
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        rfi_id:
          $ref: '#/components/schemas/RFIId'
        status:
          $ref: '#/components/schemas/RFIStatus'
        create_time:
          $ref: '#/components/schemas/RFICreateTime'
        update_time:
          $ref: '#/components/schemas/RFIUpdateTime'
        request:
          type: array
          description: >-
            The list of questions raised in this RFI and any answers already
            submitted.
          items:
            type: object
            properties:
              question:
                type: object
                properties:
                  key:
                    $ref: '#/components/schemas/QuestionKey'
                  comment:
                    type: string
                    example: >-
                      Company Registration Documentation: includes company name,
                      registered address, business license, etc.
                    description: >-
                      Human-readable description of the question, including any
                      guidance from the reviewer.
                  type:
                    $ref: '#/components/schemas/RFIType'
              answer:
                $ref: '#/components/schemas/AnswerResponse'
    RFIId:
      type: string
      example: ACTREQ-895487f0-3220-4aae-81ad-a20dba6fa2d9
      description: >-
        The complete RFI identifier returned by the RFI list or webhook. Use it
        unchanged, including any prefix.
    AnswerItem:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/AnswerKey'
        type:
          $ref: '#/components/schemas/RFIType'
        text:
          type: string
          description: Non-empty text answer, required when type is `TEXT`.
          example: Sandbox contract test response
        attachments:
          type: array
          description: >-
            Array of `file_id` values returned by [Upload A
            File](/account-center/v1.6/api-reference/upload-file).
          items:
            type: string
            example: 63d75f6d-97a3-478c-bdbf-b050c650d72a
    AccountId:
      type: string
      example: f5bb6498-552e-40a5-b14b-616aa04ac1c1
      description: A unique identifier of the account.
    RFIStatus:
      type: string
      example: SUBMITTED_PENDING
      description: >
        The current status of the RFI.

        - `ACTION_REQUIRED`: An answer is required from you.

        - `SUBMITTED_PENDING`: An answer has been submitted and is under review.

        - `APPROVED`: The submitted answer has been approved.

        - `REJECTED`: The submitted answer has been rejected; further action may
        be required.
      enum:
        - SUBMITTED_PENDING
        - REJECTED
        - APPROVED
        - ACTION_REQUIRED
    RFICreateTime:
      type: string
      example: '2024-11-08T17:17:32+08:00'
      description: Creation time of the RFI.
    RFIUpdateTime:
      type: string
      example: '2024-11-09T17:17:32+08:00'
      description: Last updated time of the RFI.
    QuestionKey:
      type: string
      example: basic_certificate_of_incorporation
      description: The key identifying a specific question in the RFI request.
    RFIType:
      type: string
      example: ATTACHMENT
      description: >-
        The question or answer type. `ATTACHMENT` requires uploaded files;
        `TEXT` requires a text answer.
      enum:
        - ATTACHMENT
        - TEXT
    AnswerResponse:
      type: object
      properties:
        key:
          $ref: '#/components/schemas/AnswerKey'
        type:
          $ref: '#/components/schemas/RFIType'
        text:
          type: string
          description: The submitted text answer for a `TEXT` item.
        attachments:
          type: array
          description: Details of the files submitted with this answer.
          items:
            type: object
            properties:
              file_type:
                type: string
                description: File extension of the submitted attachment.
              file_name:
                type: string
                description: Name of the submitted file.
              size:
                type: integer
                description: File size in bytes.
              url:
                type: string
                description: Temporary URL for downloading the submitted file.
    AnswerKey:
      type: string
      example: basic_certificate_of_incorporation
      description: >-
        The key that matches the corresponding `question.key`, used to link the
        answer with its specific question.
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPAY.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.